<?
include '../config.php';
include '../func.php';

head();
aut();
////////////////////////////////////////
echo "<div class=\"head\"><b>Статусы</b></div><div class=\"main\">"; 


$file=file('status.txt');
$id=abs(intval($_REQUEST['id']));
if($id==0) $id=1;
if(isset($_POST['submit']))
{
    $text=html($_POST['text']);
	if(empty($text))
	{
		echo '<div class="input">Вы не ввели текст!</div>';
		exit;
	}
	mysql_query("INSERT INTO `status_base` SET `id_razd`= '".num($_POST['id_razd'])."', `checked`='1', `name`='".$id_session."', `icq`='".$uin_session."',`text`='".$text."', `date` = '".mktime()."'");
	echo '<div class="input">Статус добавлен!<br />';
	exit;	
}

echo '<form action="add.php" method="post">
Введите статус:<br />
<textarea name="text" rows="5" cols="30"></textarea><br />';


echo '<b>Раздел:</b><br/>
<select name="id_razd">';
@$file=file('status.txt');
for($i=1; $i<=36; $i++)
{
    echo '<option value="'.$i.'">'.trim($file[$i]).'</option>';
}
echo '</select><br/><br/>';

echo '<input name="id" type="hidden" value="'.$id.'">
<input name="submit" type="hidden" value="fuck">
<input type="submit" value="Добавить">
</form><br/>';


//////////////////////////////////////

pod_navig();
foot();
?>